@ECHO OFF
ECHO.
ECHO nDoS file system.
ECHO.
ECHO Warning!!!!
ECHO You can add only one contact list file. if you dont have one, a simply adressbook will be add.
pause
IF EXIST *.csv GOTO csv_ok
copy C:\nDoS\data\ndos.csv C:\nDoS\yourfile
copy C:\nDoS\data\doc2nDoS.exe C:\nDoS\yourfile
copy C:\nDoS\data\gbfs.exe C:\nDoS\yourfile
copy C:\nDoS\data\html2nDoS.exe C:\nDoS\yourfile
copy C:\nDoS\data\Makefile C:\nDoS\yourfile
copy C:\nDoS\data\nDoS.ds.gba C:\nDoS\yourfile
copy C:\nDoS\data\nDoS.nds C:\nDoS\yourfile
copy C:\nDoS\data\ndsmall.bin C:\nDoS\yourfile
copy C:\nDoS\data\padbin.exe C:\nDoS\yourfile
html2nDoS 1 1 1
doc2nDoS 1 1 1
gbfs.exe nDoS.gbfs *.txt *.htx *.dox *.csv
padbin 256 nDoS.nds
cat nDoS.nds nDoS.gbfs >boot.nds
del *.htx
del *.dox
del nDoS.gbfs
cat ndsmall.bin boot.nds >nDoS.gba
del doc2nDoS.exe
del gbfs.exe
del html2nDoS.exe
del Makefile
del nDoS.ds.gba
del nDoS.nds
del ndsmall.bin
del padbin.exe
del boot.nds
copy /y C:\nDoS\yourfile\nDoS.gba C:\nDoS\
del nDoS.gba
del ndos.csv
goto fini
:csv_ok
copy C:\nDoS\data\doc2nDoS.exe C:\nDoS\yourfile
copy C:\nDoS\data\gbfs.exe C:\nDoS\yourfile
copy C:\nDoS\data\html2nDoS.exe C:\nDoS\yourfile
copy C:\nDoS\data\Makefile C:\nDoS\yourfile
copy C:\nDoS\data\nDoS.ds.gba C:\nDoS\yourfile
copy C:\nDoS\data\nDoS.nds C:\nDoS\yourfile
copy C:\nDoS\data\ndsmall.bin C:\nDoS\yourfile
copy C:\nDoS\data\padbin.exe C:\nDoS\yourfile
html2nDoS 1 1 1
doc2nDoS 1 1 1
gbfs.exe nDoS.gbfs *.txt *.htx *.dox *.csv
padbin 256 nDoS.nds
cat nDoS.nds nDoS.gbfs >boot.nds
del *.htx
del *.dox
del nDoS.gbfs
cat ndsmall.bin boot.nds >nDoS.gba
del doc2nDoS.exe
del gbfs.exe
del html2nDoS.exe
del Makefile
del nDoS.ds.gba
del nDoS.nds
del ndsmall.bin
del padbin.exe
del boot.nds
copy /y C:\nDoS\yourfile\nDoS.gba C:\nDoS\
del nDoS.gba
:fini
ECHO.
ECHO file add ok.
ECHO ON
PAUSE 